
colors-for-gradient {
  background: #c6426e, #642a73;
  background: #f0794b, #2979c4;
  background: #ff9393, #6b0000;

  color: 
  #c6426e,
  #642b73, 
  
  #f0794b, 
  #2979c4, 

  #f14444, 
  #615442, 

  #20bb87, 
  #642b73
}


:root {
  --main-bg-color: rgb(41, 41, 41, 0);
  --header-text-color-one: rgb(255, 255, 255);
  --header-text-color-two: rgb(134, 134, 134);

  --font-one: "Kodchasan";
  --font-two: "Capriola";
  --theme-color-one-light: rgb(250, 75, 162);
  --theme-color-one-dark: rgb(250, 75, 162);
  --theme-color-two-light: rgb(255, 255, 255);
  --theme-color-two-dark: rgb(255, 255, 255);
  --theme-color-background: rgb(48, 48, 48);

  --grad-color-one: #000000;
  --grad-color-two: #000000;

  --grad-option3: #000000;  /* fallback for old browsers */
  --grad-option2: -webkit-linear-gradient(to right, #000000, #000000);  /* Chrome 10-25, Safari 5.1-6 */
  --grad-option1: linear-gradient(to right, #000000, #000000); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}

body {
    background-color: var(--main-bg-color) !important;
    position: relative; 
}

.testing {
  backdrop-filter: blur(5px) contrast(.8);
}

.particle_container {
  float: left;
  pointer-events:none;
}

#header_background {
    -webkit-box-shadow: 0px 0px 20px rgb(0, 0, 0, 0.6); /* Safari 3-4, iOS 4.0.2 - 4.2, Android 2.3+ */
    -moz-box-shadow:    0px 0px 20px rgb(0, 0, 0, 0.6); /* Firefox 3.5 - 3.6 */
    box-shadow:         0px 0px 20px rgb(0, 0, 0, 0.6);
    box-shadow: 0 5px 15px -10px rgba(0,0,0,.24), 0 8px 10px -8px rgba(0,0,0,1);

    background: var(--grad-color-one);  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, var(--grad-color-one), var(--grad-color-two));  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, var(--grad-color-one), var(--grad-color-two)); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    opacity: 0.9;
}

#footer_background {
  -webkit-box-shadow: 0px 0px 20px rgb(0, 0, 0, 0.6); /* Safari 3-4, iOS 4.0.2 - 4.2, Android 2.3+ */
  -moz-box-shadow:    0px 0px 20px rgb(0, 0, 0, 0.6); /* Firefox 3.5 - 3.6 */
  box-shadow:         0px 0px 20px rgb(0, 0, 0, 0.6);
  box-shadow: 0 5px 15px 8px rgba(0,0,0,.24), 0 8px 10px 5px rgba(0,0,0,1);

  background: var(--grad-color-one);  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, var(--grad-color-one), var(--grad-color-two));  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, var(--grad-color-one), var(--grad-color-two)); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  opacity: 0.9;

}

.navbar_collapse_button {
  color: white !important;
}

.custom-toggler .navbar-toggler-icon {
  background-image: url("https://mdbootstrap.com/img/svg/hamburger4.svg?color=FFFFFF") !important;
  border-width: 0px !important;
}

.navbar.navbar-1 .navbar-toggler-icon {
  background-image: url('https://mdbootstrap.com/img/svg/hamburger2.svg?color=FFF');
  }

.custom-toggler.navbar-toggler {
  border-color: rgb(255,255,255) !important;
  border-radius: 0% !important;
  border-color: transparent !important;
} 

#label_large {
    font-size: 16px;
    /* font-weight: bold; */
    color: rgb(255, 255, 255, 0.5);
    font-family: var(--font-one), "arial";
    text-transform: uppercase;
}

#label_medium {
    font-size: 16px;
    color: rgb(255, 255, 255);
    opacity: 0.6;
    font-family: var(--font-one), "arial";
    text-transform: uppercase;
    transition-duration: 0.5s;
}

#label_medium:hover {
  color: rgb(255, 255, 255);
  opacity: 1.0;
}

.navbar-nav li .active {
  color: rgb(255, 255, 255) !important;
}


.footer {        
  min-width: 1000px; 
}

.shadow_mine1 {
  box-shadow:  0px 6px 14px rgb(0, 0, 0, 0.6);
}

.basic-text {
  font-family: var(--font-two);
  color: white;
  font-size: 14pt;
  opacity: 0.8;
  text-align: justify !important;
  text-justify: inter-word !important;
}

.panel {
  border-radius: 30px;
  border: 2px solid rgb(255, 255, 255, 0.3);
}

/* .panel {
  border-radius: 50px;
  background: rgb(255, 255, 255, 0.3);
  background: -webkit-linear-gradient(to bottom, rgb(255, 255, 255, 0.3), rgb(255, 255, 255, 0.2)); 
  background: linear-gradient(to bottom, rgb(255, 255, 255, 0.3), rgb(255, 255, 255, 0.2)); 
  box-shadow:  0px 6px 14px rgb(0, 0, 0, 0.6);
  padding: 20px;
} */

/* Style all font awesome icons */
.fa {
  color: rgb(255, 255, 255) !important;
  opacity: 0.6;
  font-size: 30px !important;
  padding-right: 10px;
  text-align: center;
  text-decoration: none;
  transition: 0.5s;
}

.fa:hover {
  color: rgb(255, 255, 255) !important;
  opacity: 1.0;
}

/* Add a hover effect if you want */
/* .fa:hover {
  background: rgb(255, 255, 255);
} */

/* Facebook Icon */
.fa-facebook {
  color: white;
}

/* Twitter Icon */
.fa-twitter {
  color: white;
}

/* LinkedIn Icon */
.fa-linkedin {
  color: white;
}

.section {
  min-height: 100vh;

  background: var(--grad-color-one);  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, var(--grad-color-one), var(--grad-color-two));  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, var(--grad-color-one), var(--grad-color-two)); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}





.modal-open .container-fluid, .modal-open  .container {
  -webkit-filter: blur(5px);
  filter: blur(5px);
}

.modal-background {
  background-color:rgb(255, 255, 255, 0.6);
}

.modal-backdrop {background: #f7f7f7;}


*{
  margin:0;
  padding:0;
}

.container-fluid{
  margin:0;
  padding:0;
}

.jumbotron-fluid{
  padding-top: 100px;
  width: 100%;
  /* height: 100vh; */
  overflow: hidden;
}


.section-label {
  color:var(--theme-color-two-light);
  display:block;
  font-size: 70px;
  font-family: var(--font-one), "arial";
  padding-bottom: 50px;
}





/* --- arrows for carousel --- */
  
ol.carousel-indicators {
  position: absolute;
  bottom: 10px;
  margin: 0;
  left: 0;
  right: 0;
  width: auto;
}

ol.carousel-indicators li,
ol.carousel-indicators li.active {
  width: 1rem;
  height: 1rem;
  border-radius: 50%;
  border: 0;
  background: transparent;
}

ol.carousel-indicators li {
  background: rgba(255,255,255,0.25);
  margin-left: .5rem;
  margin-right: .5rem;
}

ol.carousel-indicators li.active {
  background: rgb(255, 255, 255);
}








.project-item {
  text-align: center;
  cursor: pointer;
}

.project-item-coverimage {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 200px;
  height: 200px;
  max-width: 200px;
  max-height: 200px;
  border-radius: 50%;
  overflow: hidden;
  padding: 0;
  box-shadow: 0 30px 15px -8px rgba(0,0,0,.24), 0 8px 20px -3px rgba(0,0,0,.5);
}

.image-fill {
  vertical-align: middle !important;
  max-width:100% !important;
  max-height:100% !important;
  margin: auto !important;
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
  overflow: hidden !important;
  flex-shrink: 0 !important;
  min-width: 100% !important;
  min-height: 100% !important;
}

.project-item-title {
  color: #ffffff;
  font-family: var(--font-one);
}

.project-item-description {
  width: 80%;
  text-align: left !important;
  display: block;
  margin-left: auto;
  margin-right: auto;
  font-family: var(--font-one);
  color: white;
  font-size: 12pt;
  opacity: 0.8;
}









.card-title{
  margin-top: 10px;
  color: #ffffff;
  font-family: "Bad Script", "arial";
}

.card {
  margin-bottom: 30px;
  margin-top: 100px;
  border-radius: 20px !important;
  color: rgba(0,0,0,.87);
  background: #ffffff00 !important;
  width: 100%;
  border-style: solid;
  border-width: 0px;
}

.card-description{
  color: rgb(255, 255, 255);
}

.card.card-profile{
  text-align: center;
}

.card .card-header.card-header-image a {
  display: block;
}

.card .card-header.card-header-image img {
  width: 100%;
  height: 215px;
  border-radius: 6px;
  pointer-events: none;
  box-shadow: 0 5px 15px -8px rgba(0,0,0,.24), 0 8px 10px -5px rgba(0,0,0,.2);
}

.card .card-header.card-header-image .card-title {
  position: absolute;
  bottom: 5px;
  left: 15px;
  color: #fff;
  font-size: 1.125rem;
  text-shadow: 0 2px 5px rgba(33,33,33,.5);
  font-weight: 700;
  font-family: 'Roboto Slab';
}

.card .card-category {
  margin-top: 15px;
  margin-bottom: 10px;
}

.card .card-footer {
  display: flex;
  align-items: center;
  background-color: transparent;
  border: 0;
}

.card .card-footer {
  padding: .9375rem 1.875rem;
}

.card-profile .card-body+.card-footer{
  margin-top: -15px;
}

.card-profile .card-avatar {
  width: 200px;
  height: 200px;
  max-width: 200px;
  max-height: 200px;
  margin: -50px auto 0;
  border-radius: 50%;
  overflow: hidden;
  padding: 0;
  box-shadow: 0 16px 38px -12px rgba(0,0,0,.56), 0 4px 25px 0 rgba(0,0,0,.12), 0 8px 10px -5px rgba(0,0,0,.2);
}

.card-profile .card-avatar img{
  width: 100%;
}
.card-profile .card-avatar+.card-body{
  margin-top: 15px;
}




.image-of-me .image {
  margin: auto;
  width: 300px;
  height: 300px;
  max-width: 300px;
  max-height: 300px;
  border-radius: 50%;
  overflow: hidden;
  margin-bottom: 50px;
  box-shadow: 0 30px 15px -8px rgba(0,0,0,.24), 0 8px 20px -3px rgba(0,0,0,.5);
}

.bullet-list {
  list-style-type: disc !important;
  margin-left: 3em;
  flex-direction: column;
  flex-wrap: wrap;
}

.page-bottom {
  font-size: 14px;
  opacity: 0.3;
  align-content: center !important;
  margin: auto;
  padding-top: 30px;
  margin-bottom: 10px;
}



.section-test {
  width: 100%;
  height: 50vh;
  background: #642B73;
  padding-top: 60px;
}

.intro-panel {
  /* background-color: rgba(0, 0, 0, 0.6); */
  border-radius: 20px !important;
  padding: 50px;

  background: #642B73;  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, rgb(198, 66, 110), #642B73);  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, rgb(255, 255, 255, 0.3), rgb(198, 66, 110)); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

.intro-title {
  font-size: 50px;
  font-weight: 700;
  line-height: 75px;
  color: #ffffff;
  text-align: right;
}

.intro-subtitle {
  font-size: 30px;
  font-weight: 300;
  line-height: 50px;
  color: #ffffff;
  text-align: right;
}

.main_title {
  text-align: center;
  margin-bottom: 100px; 
}
.main_title {
  margin-bottom: 50px; 
} 
.main_title h2 {
  font-size: 36px;
  font-weight: 700;
  margin-bottom: 15px;
  line-height: 50px;
  text-transform: uppercase; 
}
.main_title h2 br {
  display: none; 
} 
.main_title h2 {
  font-size: 30px;
  line-height: 34px; 
} 
.main_title p {
  margin-bottom: 0px; 
}
.main_title p br {
  display: none; 
}
.main_title.white h2 {
  color: #fff; 
}
.main_title.white p {
  color: #fff;
  opacity: .6; 
}











.reveal-on-scroll {

  transform: scale(0);
  transition: all 0.6s;
}

.in-view { 
  transform: scale(1); 
}










.project-carousel-format {
  margin-bottom: 30px;
}

.project-modal {
  background: rgba(255, 255, 255, 0.4) !important;
  border-radius: 20px !important;
  width: 100% !important;
  height: 100% !important;
  border: 20px;

  padding: 20px !important;
}

.project-modal-image-mask {
  height: 300px;
  margin: 0 auto 0;
  border-radius: 20px;
  overflow: hidden;
  padding: 0;
  -moz-box-shadow:    inset 0 0 10px #000000;
  -webkit-box-shadow: inset 0 0 10px #000000;
  box-shadow:         inset 0 0 10px #000000;

  vertical-align: middle !important;
  max-width:100% !important;
  max-height:100% !important;
  margin: auto !important;
  display: flex !important;
  align-items: center !important;
  overflow: hidden !important;
  flex-shrink: 0 !important;
  min-width: 100% !important;
  min-height: 100% !important;
}

.carousel-item .d-block .img-fluid {
  align-items: center;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.project-modal .project-modal-header h1, 
.project-modal .project-modal-header h2 {
  display: inline;
}

.project-modal .project-modal-header .modal-title {
  color: rgb(255, 255, 255);
  font-size: 22px;
  font-weight: 900;
  text-transform: uppercase;
  text-align: left;
  margin: 0 !important;
  padding: 0 !important;
}

.project-modal .project-modal-header .modal-subtitle {
  color: rgba(189, 189, 189, 0.5);
  font-size: 22px;
  font-weight: 900;
  text-transform: uppercase;
  text-align: left;
  margin: 0 !important;
  padding: 0 !important;
}

.project-modal .close {
  /* margin-top: 5px !important; */
  color: rgb(255, 255, 255);
  font-size: 30px;
  font-weight: 600;
}


.project-modal-text {
  color: white;
  font-family: var(--font-one);
}










.hr-text {
  line-height: 1em;
  position: relative;
  outline: 0;
  border: 0;
  color: black;
  text-align: center;
  height: 1.5em;
  margin-top: -12px;
}

.hr-text:before {
  content: '';
  background: linear-gradient(to right, transparent, var(--theme-color-two-light), transparent);
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  height: 6px;
}

.hr-text:after {
  content: attr(data-content);
  position: relative;
  display: inline-block;
  color: black;

  padding: 0 .5em;
  line-height: 1.5em;
  color: #000000;
  /* background-color: #fcfcfa;
  padding-left: 20px;
  padding-right: 20px;
  border-radius: 20px !important; */
}







/* Prevent scrollbars to appear when waves go out of bound */
.wave-wrapper {
  position: relative;
  z-index: 0;
  overflow: hidden;
  padding-top: 8rem;
}

/* The circle */
.wave-emitter {
  position: relative;
  margin: 0 auto;
  width: 250px;
  height: 250px;
  top: 40px;
  border-radius: 50%;
  background-color: var(--theme-color-two-light);
}

/* the 'wave', same shape and size as its parent */
.wave {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: var(--theme-color-two-light);
  opacity: 0;
  z-index: -1;
}

/*
  Animate!
  NOTE: add browser prefixes where needed.
*/
.wave {
  animation: wave 2s linear infinite;
}

@keyframes wave {
  from {
    opacity: 0.4;
  }
  to {
    transform: scale(2);
    opacity: 0;
  }
}







.intro-section {
  height: 100vh;
}

.intro {
  margin-top: 40px;
  margin-bottom: 100px;
}

.intro-text {
    margin-top: -130px;
}

.intro-prename {
  line-height: 1.5em;
  letter-spacing: 4px;
  color: white;
  opacity: 0.7;
  font-size: 18px;
  font-weight: bold;
  text-align: center;
  padding-right: 40%;
  margin-bottom: 0px;
  font-family: var(--font-two);

  position:relative;
  bottom:-380px;
  z-index: 100;
}


.intro-name {
  color: rgb(255, 255, 255);
  letter-spacing: 5px;
  font-size: 6vw;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
  font-family: var(--font-one);

  overflow: hidden;
  white-space: nowrap;

  position:relative;
  bottom:-380px;
  z-index: 100;
}

.intro-titles {
  letter-spacing: 5px;
  text-transform: uppercase;
  color: var(--theme-color-one-light);
  font-size: 18px;
  font-weight: bold;
  text-align: center;
  margin-bottom: -50px;
  font-family: var(--font-two);
}

.code-background {
  /* The image used */
  background-image: url("https://www.macobserver.com/wp-content/uploads/2017/10/code-2434271_1280-1200x630.jpg");

  /* Add the blur effect */
  filter: blur(4px);
  -webkit-filter: blur(4px);

  /* Full height */
  height: 100%; 

  /* Center and scale the image nicely */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}





.section-panel {
  width: 100%;
  height:300px;
  right: 50%;
  position:relative;
  border-bottom-right-radius: 50px;
  border-top-right-radius: 50px;
  background: var(--theme-color-one-light);
}

.project-modal-panel {
  margin-top: -20px;
  border-radius: 30px;
  /* box-shadow:  0px 6px 14px rgb(0, 0, 0, 0.6); */
  padding: 20px;
}

.project-modal-infocapsule {
  width: 120px;
  border-radius: 30px;

  background: var(--theme-color-one-light);  /* fallback for old browsers */
}
















.progress-bar-wrapper {
  border-radius: 10px !important;
  height: 30px !important;
  border: 4px solid rgb(255, 255, 255, 1);
  background-color: rgba(255, 255, 255, 0.2) !important;
  /* overflow: visible !important; */
	text-overflow: visible !important;
}

.progress-bar {
	text-align: left !important;
	white-space: nowrap;
	white-space: nowrap;
  cursor: pointer;
  background-color: rgb(255, 255, 255) !important;
}

.progress-type {
  padding-left: 20px;
  color: black;
}




.skill-item {
  overflow: hidden;
}
.skill-child {
  float: left;
  width: 50px;
  height: 50px;
}











.skill-header {
  text-transform: uppercase;
  text-align: center !important;
  font-size: 30px;
  font-weight: bold;
  font-family: var(--font-one);
  color: rgb(255, 255, 255); 
}

.skill-label {
  text-align: left !important;
  font-size: 20px;
  font-weight: bold;
  font-family: var(--font-one);
  color: rgb(255, 255, 255);
}

#skill { 
	list-style: none;
  font-family: var(--font-one);
	margin: 50px auto 0;
	position: relative;
	line-height: 2em;
  margin-left: 20px;
  margin-right: 20px;
}

#skill li { 
	margin-bottom:50px; 
	background: var(--grad-color-one) !important;
	height:20px; 
	border-radius:10px;  
}

#skill li h3 { 
	position:relative; 
  top:-30px;
  font-size: 20px;
}

.bar { 
	height:20px; 
	position:absolute;
  border-radius:10px;	
  background-color: var(--theme-color-two-light);
}

.skill-cplusplus  { width: 100%; }
.skill-html       { width: 80%; }
.skill-java       { width: 80%; }
.skill-csharp     { width: 75%; }
.skill-python     { width: 50%; }

.skill-unity      { width: 100%; }
.skill-unreal     { width: 60%; }
.skill-visualstudio   { width: 100%; }
.skill-maya       { width: 60%; }
.skill-adobe      { width: 75%; }







.end-of-page {
  width: 100vw !important;
  height: 80px !important;

  background: var(--grad-color-one);  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, var(--grad-color-one), var(--grad-color-two));  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, var(--grad-color-one), var(--grad-color-two)); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

body {
  background: var(--grad-color-one);  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, var(--grad-color-one), var(--grad-color-two));  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, var(--grad-color-one), var(--grad-color-two)); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}





.button-style {
  background-color: var(--theme-color-one-light) !important;
  font-family: var(--font-one) !important;
  color: white !important;
  border-color: var(--theme-color-one-light) !important;
}